Bug 677419 - Add Hybrid (cert + xauth) support to networkmanager-vpnc
Summary: Add Hybrid (cert + xauth) support to networkmanager-vpnc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: netxen-firmware
Version: 6.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: bob picco
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-14 17:43 UTC by Richard Monk
Modified: 2011-07-21 21:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-21 21:16:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Richard Monk 2011-02-14 17:43:46 UTC
Description of problem:
NetworkManager-vpnc has no option to use the "Hybrid" auth mechanism available in vpnc.  This causes the server to be validated by a certificate, then the client authenticates via xauth.  This is to prevent exposure of the group password from enabling MitM attacks against users trying to connect to the VPN.

Version-Release number of selected component (if applicable):
NetworkManager-0.8.1-5

Expected results:
- Ability to set hybrid mechanism and certificate via NetworkManager-vpnc

Comment 2 RHEL Program Management 2011-04-04 02:01:21 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Richard Monk 2011-04-04 11:22:56 UTC
Since this affects anyone who is using two-factor auth with WPA (and hopefully in a corporate environment, there should be some of these).  The patch to do this is already in the code, just disabled.

Comment 4 Dan Williams 2011-07-21 21:16:57 UTC
Everything we care about is now upstream, both in vpnc and in NetworkManager-vpnc, so could be backported to EPEL.  Since neither vpnc or NetworkManager-vpnc are actually RHEL components, it's up to people who work on EPEL to do the builds for EPEL, unless you can convince PM that RHEL should officially support vpnc and NetworkManager-vpnc.

But in any case, all the pieces are there, and the Fedora updates have just been submitted for F15 and rawhide so the EPEL stuff would just be backporting.


Note You need to log in before you can comment on or make changes to this bug.